#!/bin/sh

dir=`pwd | sed -e 's:/:\n:g' | tac | head -2| tail -1`

make all-lang || exit
mv *.prc ..
make distclean
make -C ../leagues install

cd ../..
rm -f bundesliga.src.zip || exit

zip -r bundesliga.src.zip $dir -x "*/.svn/*" -x "*/.xvpics/*" -x "$dir/bl.*" -x "$dir/pdbfiles/*"
for i in de en us fr es pt nl th cz ru jp it; do
  rm -f bundesliga.$i.zip
  zip bundesliga.$i.zip $dir/{bl.$i.prc,NEWS.txt,README.txt,TODO.txt} \
      $dir/pdbfiles/* $dir/src/langs/{en,$i}.rcp
done
